<template>

    <div v-if="!isLoaded" class="wrapper" :class="this.$store.state.them === 'dark' ? 'dark' : 'light' "  >
        <base-navbar/>
        <base-sidebar/>
        <router-view class="content-part"></router-view>
    </div>
    <div v-else class="loading-container"><div class="loading-box"></div></div>


</template>

<script>
    import BaseNavbar from "@/components/base/BaseNavbar";
    import BaseSidebar from "@/components/base/BaseSidebar";

    import { store } from '../../main';

    export default {
        name: "base-layout",
        components: {
            BaseSidebar,
            BaseNavbar
        },
        data() {
            return {
                loadAllInfo: false
            }
        },
        computed: {
            isLoaded() {
                return this.$store.getters.isLoading('allMainInfo') ? this.$store.getters.isLoading('allMainInfo') : false;
            },
        },
        beforeMount() {
            store.dispatch('userInfo');
        },
        mounted() {
            // store.dispatch('loadInfo');
            store.dispatch('loadMainInfo');
        },
        beforeRouteEnter (to, from, next) {
            // store.dispatch('userInfo');
            next();
        },
    }
</script>

<style>
    .channels-list .channel .title {
        flex: 1 1 100%;
    }

    .wrapper {
        width: 100%;
        height: 100%;
    }

    .dark.wrapper {
        background: #1f2029;
    }

    .dark.wrapper .sidebar {
        background: #1b1c24;
        color: #c9cacd;
    }
    .dark.wrapper .content-part {
        background: #1f2029;
        color: #c9cacd;
    }
    .dark.wrapper .loading-container {
        background: #1f2029;
    }
    .dark.wrapper .block-main .body-block {
        background: #292b36;
    }
    .dark.wrapper .content-part .body-page {
        background: #292b36;
        color: #c9cacd;
    }
    .dark .navbar {
        background: #0a4882;
    }
    .dark .channels-list .channel:hover {
        box-shadow: 0 0 5px rgba(0,0,0,0.2);
        background: #1b1d28;
    }
    .dark a {
        color: #c9cacd;
    }
    .dark a:hover, .dark a:focus, .dark a:active {
        color: #c9cacd;
    }

    .dark .films-list .film {
        color: #c9cacd;
    }
    .dark .films-list .film:hover {
        box-shadow: 0 0 5px rgba(0,0,0,0.2);
        background: #1b1d28;
    }
    .dark .cam-list .cam-item .now-playing {
        color: #c9cacd;
    }
    .dark .cam-list .cam-item:hover {
        box-shadow: 0 0 5px rgba(0,0,0,0.2);
        background: #1b1d28;
    }
    .dark .btn.btn-default {
        background: transparent;
        border: 1px solid #c9cacd;
    }
    .dark .btn.btn-default:hover {
        background: rgba(0,0,0,0.3);
    }
    .dark .view-video .info .list-program .item-program {
        color: #c9cacd;
    }

    .dark .choosen-item {
        background: #323440 !important;
    }
    .dark .choosen-item span {
        color: #d6d6d6 !important;
    }
    .dark .drop-down {
        background: #323440 !important;
    }
    .dark .drop-down .item-category {
        color: #c9cacd !important;
    }
    .dark .search-film {
        background: #323440 !important;
        color: #c9cacd;
    }
    .dark .part .title-part {
        background: #1b1c24;
    }
    .dark .part .row-info {
        color: #c9cacd;
    }
    .dark .swiper-pagination-bullet {
        background: #9097bd;
    }


    @media (max-width: 930px) {
        .header-page {
            flex-wrap: wrap;
            height: initial !important;
        }
        .header-page .title {
            width: 100%;
            margin-bottom: 10px;
        }
    }
</style>
